<h1>Dodajte novu uslugu</h1>
<br>
<form [formGroup]="inventoryForm" *ngIf="!isSuccessful" name="form" (ngSubmit)="onSubmit()" novalidate>
    <div class="row">
        <div class="col-md-6">
            <div class="row">
                <div class="col-md-12 form-group">
                    <h4>Naziv usluge:</h4>
                    <input type="text" class="form-control" name="naziv" formControlName="naziv"
                        [ngClass]="nazivHasErrors()" />
                    <div class="alert-danger" *ngIf="nazivErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of nazivErrors()">{{errorMessage}}</li>
                        </ul>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-4 form-group">
                    <h4>Jedinica mere (JM):</h4>
                    <input type="text" class="form-control" name="jedinica_mere" formControlName="jedinica_mere"
                        [ngClass]="jedinicaMereHasErrors()" />
                    <div class="alert-danger" *ngIf="jedinicaMereErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of jedinicaMereErrors()">{{errorMessage}}</li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-4 form-group">
                    <h4 for="cena_po_jedinici_mere">Cena/JM:</h4>
                    <input type="number" class="form-control" name="cena_po_jedinici_mere"
                        formControlName="cena_po_jedinici_mere" [ngClass]="cenaHasErrors()" />
                    <div class="alert-danger" *ngIf="cenaErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of cenaErrors()">{{errorMessage}}</li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-4 form-group">
                    <h4>Stopa PDV:</h4>
                    <select type="number" class="form-control" name="pdv" formControlName="pdv"
                        [ngClass]="pdvHasErrors">
                        <option selected  *ngFor="let stopa of stopePDV" [value]="stopa">{{stopa}}%</option>
                    </select>
                    <div class="alert-danger" *ngIf="pdvErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of pdvErrors()">{{errorMessage}}</li>
                        </ul>
                    </div>
                </div>
            </div>

        </div>

        <div class="col-md-6 form-group">
            <h4 for="opis">Opis usluge:</h4>
            <textarea rows="7" type="text" class="form-control" name="opis" formControlName="opis"
                [ngClass]="opisHasErrors"></textarea>
            <div class="alert-danger" *ngIf="opisErrors().length > 0">
                <ul class="list">
                    <li *ngFor="let errorMessage of opisErrors()">{{errorMessage}}</li>
                </ul>

            </div>
        </div>
    </div>

    <div class="row justify-content-center">
        <button type="submit" *ngIf="!enableUpdate" id="register-btn" class="btn btn-primary mr-2">Dodaj</button>
        <button type="submit" *ngIf="enableUpdate"  id="register-btn" class="btn btn-secondary mr-2">Ažuriraj</button>
        <button type="button" *ngIf="enableUpdate" (click)="deleteInventory()" id="register-btn" class="btn btn-secondary mr-2">Obriši</button>
        <button type="reset" class="btn btn-secondary">Poništi izmene</button>
    </div>


</form>